Error on installing plugins #944

Closed
Gared opened this Issue Aug 12, 2012 · 3 comments

3 participants

@Gared
Etherpad member

Everytime I try to install a plugin (console or admin website), the plugin cannot be found.
Here is the error message:
$console> npm install ep_syntaxhighlighting
npm WARN package.json ep_etherpad-lite@1.0.0 No README.md file found!
npm http GET https://registry.npmjs.org/ep_syntaxhighlighting
npm http 304 https://registry.npmjs.org/ep_syntaxhighlighting
npm http GET https://registry.npmjs.org/-/ep_syntaxhighlighting-0.1.1.tgz
npm http 404 https://registry.npmjs.org/-/ep_syntaxhighlighting-0.1.1.tgz
npm ERR! fetch failed https://registry.npmjs.org/-/ep_syntaxhighlighting-0.1.1.tgz
npm ERR! Error: 404 Not Found
npm ERR! at [object Object]. (/usr/local/lib/node_modules/npm/lib/utils/fetch.js:47:16)
npm ERR! at [object Object].emit (events.js:88:20)
npm ERR! at fs.js:1319:12
npm ERR! at Object.oncomplete (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:94:5)
npm ERR! [Error: 404 Not Found]
npm ERR! You may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Linux 2.6.18-028stab092.1
npm ERR! command "node" "/usr/local/bin/npm" "install" "ep_syntaxhighlighting"
npm ERR! cwd /home/stefan/ep-lite/etherpad-lite
npm ERR! node -v v0.6.21-pre
npm ERR! npm -v 1.1.37
npm ERR! message 404 Not Found
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /home/stefan/ep-lite/etherpad-lite/npm-debug.log
npm ERR! not ok code undefined
npm ERR! not ok code 1

Is it a bug or have I forgot to do something?

@marcelklehr
Etherpad member

the npm registry is down: npm/npm#2694

@shnifti

I am facing the same error now install ep_syntaxhighlighting:

ERR! 404 'ep_etherpad-lite' is not in the npm registry.
ERR! 404 You should bug the author to publish it
ERR! 404 Note that you can also install from a
ERR! 404 tarball, folder, or http url, or git url.
ERR!
ERR! System Linux 3.2.0-23-virtual
ERR! command "node" "/usr/bin/npm" "install" "ep_syntaxhighlighting"
ERR! cwd /var/www/example.com/etherpad-lite/src
ERR! node -v v0.6.12
ERR! npm -v 1.1.4
ERR! code E404
ERR! message 404 Not Found: ep_etherpad-lite
ERR! errno {}
verbose exit [ 1, true ]
~

~

@marcelklehr
Etherpad member
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment